Bug 8806 - Debian packaging updates
Summary: Debian packaging updates
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Robin Sheat
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-24 05:32 UTC by Robin Sheat
Modified: 2013-12-05 20:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8806 - [3.6.x] Update changelog for 3.6.5-3.6.9, dependencies. (2.64 KB, patch)
2012-09-24 05:33 UTC, Robin Sheat
Details | Diff | Splinter Review
Bug 8806 - [3.8.x] Changelog updates, dependencies (4.35 KB, patch)
2012-09-24 07:11 UTC, Robin Sheat
Details | Diff | Splinter Review
Bug 8806 : Updating debian/control (using debian/update-control) (1.99 KB, patch)
2012-12-24 06:46 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Sheat 2012-09-24 05:32:21 UTC
This will get the code in git in line with what is actually built into packages. There will be separate patches for 3.6 and 3.8.
Comment 1 Robin Sheat 2012-09-24 05:33:37 UTC Comment hidden (obsolete)
Comment 2 Robin Sheat 2012-09-24 07:11:11 UTC Comment hidden (obsolete)
Comment 3 Robin Sheat 2012-09-24 07:14:27 UTC
I'd like the 3.8 version to have a bit more checking, it changes actual perl. The 3.6 version is fairly simple.
Comment 4 Chris Cormack 2012-10-11 01:59:23 UTC
3.8.x patch pushed, 3.6.x still waiting
Comment 5 Jared Camins-Esakov 2012-10-16 09:47:36 UTC
Patch signed off and pushed to 3.6.x.
Comment 6 Chris Cormack 2012-12-23 22:44:26 UTC
New dependency added, update the control file with debian/update-control
Comment 7 Chris Cormack 2012-12-24 06:46:44 UTC Comment hidden (obsolete)
Comment 8 Chris Cormack 2013-02-14 08:28:30 UTC
This has been fixed in another patch